dpkg-parsechangelog(1)

NOMBRE
dpkg-parsechangelog - Análisis de ficheros de registro de cambios de Debian

SINOPSIS
dpkg-parsechangelog [opción...]

DESCRIPCIÓN
dpkg-parsechangelog lee y analiza el registro de cambios de un árbol de fuentes de Debian desempaquetado, mostrando la información contenida a través de la salida estándar en un formato legible por el sistema.

OPCIONES

-lfichero-de-cambios
    Specifies the changelog file to read information from. A '-' can be used to specify reading from standard input. The default is debian/changelog.

-Fformato-fichero-de-cambios
    Define el formato del registro de cambios. Por omisión, el formato se lee de una línea especial cerca del final del registro de cambios o, en caso de fallo, usa el formato estándar debian. Consulte tambIén FORMATOS DEL FICHERO DE CAMBIOS.

-Ldirectorio-bibliotecas
    Define un directorio adicional en el que buscar scripts de análisis. Este directorio se analiza antes que los directorios predefinidos, /usr/local/lib/dpkg/parsechangelog y /usr/lib/dpkg/parsechangelog.

-S, --show-field field
    Specifies the name of the field to show (since dpkg 1.17.0). The field name is not printed, only its value.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

  Opciones de análisis
The following options can be used to influence the output of the changelog parser, e.g. the range of entries or the format of the output. They need to be supported by the parser script in question. See also NOTES.

--file file
    Set the changelog filename to parse. Default is '-' (standard input).

-l, --label file
    Set the name of the changelog file to use in error messages, instead of using the name from the --file option, or its default value.

--format formato-salida
    Define el formato de la salidA. Los valores compatibles son dpkg y rfc822. dpkg es el formato de salida clásico (anterior a la existencia de esta opción) y el valor predefinido. Consiste de un párrafo con el formato de control de Debian (consulte deb-control(5)). En caso de requerir más de una entrada, la mayoría de campos se toman de la entrada más reciente, a menos que se especifique lo contrario:

    Source:  nombre-paquete

    Version: versión

    Distribution: distribución-destino

    Urgency: urgencia
        Se utiliza la urgencia más elevada de todas las entradas incluidas, seguidas de comentarios concatenados (separados por espacios) de todas las versiones solicitadas.

    Maintainer: autor

    Date: fecha

    Closes:  número-informe-de-fallo
        Los campos «Closes» de todas las entradas incluidas se fusionan.

    Changes:  entradas-registro-cambios
        El texto de todas las entradas del registro de cambios se encadena. Para que ésto tenga un formato de control multi-línea de Debian válido, las líneas vacías se reemplazan por un retorno de línea, y se inserta un sangrado de un carácter de espacio en todas las líneas. El contenido exacto depende del formato del registro de cambios.

    Los campos Version, Distribution, Urgency, Maintainer y Changes son obligatorios.

    Pueden que aparezcan campos adicionales definidos por el usuario.

    El formato rfc822 emplea los mismos campos, pero devuelve por la salida un párrafo por cada entrada en el registro de cambios, de forma que se preservan los metadatos de cada entrada.

--since versión, -sversión, -vversión
    Incluye todos los cambios posteriores a la versión.

--until versión, -uversión
    Incluye todos los cambios anteriores a la versión.

--from versión, -fversión
    Incluye todos los cambios posteriores o de la misma versión.

--to versión, -tversión
    Incluye todos los cambios anteriores o de la misma versión.

--count número, -cnúmero, -nnúmero
    Incluye un número de entradas desde el inicio (o el final en caso de que el número sea menor que 0).

--offset número, -onúmero
    change the starting point for --count, counted from the top (or the tail if number is lower than 0).

--all
    Incluye todos los cambios. Nota: otras opciones no tendrán efecto cuando esta esté en uso.

FORMATOS DEL FICHERO DE CAMBIOS
Se permite utilizar un formato distinto al estándar, proporcionado un analizador para el formato alternativo correspondiente. Para que dpkg-parsechangelog ejecute el analizador nuevo, se debe incluir una línea dentro de las últimas 40 del fichero «changelog», y que coincida con la expresión regular Perl: “\schangelog-format:\s+([0-9a-z]+)\W”. La parte entre paréntesis debe ser el nombre del formato. Por ejemplo:
       @@@ formato-fichero-de-cambios: otro-formato @@@ Los nombres de formato del fichero de registro de cambios son cadenas no vacías compuestas de caracteres alfanuméricos. Si una línea así está presente, dpkg-parsechangelog buscará el analizador como /usr/lib/dpkg/parsechangelog/otro-formato o /usr/local/lib/dpkg/parsechangelog/otro-formato; este es un error derivado de su ausencia o de no ser un programa ejecutable. El formato predeterminado de fichero «changelog» es debian, y se proporciona un analizador para él de forma predeterminada. El analizador se invocará con el fichero «changelog» abierto en la entrada estándar al principio del fichero. Puede leer el fichero (y realizar un búsqueda si lo desea) para determinar la información necesaria, y devolver la información analizada por la salida estándar con el formato definido por la opción --format. Debe aceptar todas las Opciones de análisis. Si el formato «changelog» que se analiza deja siempre o habitualmente una línea vacía entre notas individuales de cambios, se deben eliminar tales líneas, para así obtener una salida más compacta. Si el formato «changelog» no contiene información de fecha o de nombre de paquete, esta información se omitirá en la salida. El analizador no debe intentar sintetizarlo o buscarlo en otras fuentes. Si el fichero «changelog» no cuenta con el formato esperado, el analizador debe salir con un estado de salida distinto de cero, en lugar de intentar improvisar y posiblemente generar una salida incorrecta. Puede que un analizador de fichero «changelog» no interactúe en absoluto con el usuario.

NOTAS
All Parser Options except for -v are only supported since dpkg 1.14.16. Third party parsers for changelog formats other than debian might not support all options.

FICHEROS

debian/changelog
    El fichero de registro de cambios se usa para obtener información dependiente de la versión acerca del paquete fuente, así como la urgencia y la distribución de una subida, los cambios realizados desde una versión en concreto y el propio número de versión de la fuente.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.